zenilib: zenilib/jni/external/freetype2/include/freetype/ftmodapi.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
ftmodapi.h File Reference
`#include <ft2build.h>`
`#include <FT_FREETYPE_H>`

Go to the source code of this file.

## Classes

struct | FT_Module_Class_

## Macros

#define | FT_MODULE_DRIVER_HAS_HINTER 0x400 /* the driver provides its */
#define | ft_module_driver_has_hinter FT_MODULE_DRIVER_HAS_HINTER
#define | FT_MODULE_DRIVER_NO_OUTLINES 0x200 /* the driver does not */
#define | ft_module_driver_no_outlines FT_MODULE_DRIVER_NO_OUTLINES
#define | FT_MODULE_DRIVER_SCALABLE 0x100 /* the driver supports */
#define | ft_module_driver_scalable FT_MODULE_DRIVER_SCALABLE
#define | FT_MODULE_FONT_DRIVER 1 /* this module is a font driver */
#define | ft_module_font_driver FT_MODULE_FONT_DRIVER
#define | FT_MODULE_HINTER 4 /* this module is a glyph hinter */
#define | ft_module_hinter FT_MODULE_HINTER
#define | FT_MODULE_RENDERER 2 /* this module is a renderer */
#define | ft_module_renderer FT_MODULE_RENDERER
#define | FT_MODULE_STYLER 8 /* this module is a styler */
#define | ft_module_styler FT_MODULE_STYLER

## Typedefs

typedef void(* | FT_DebugHook_Func )(void *arg)
typedef struct FT_Module_Class_ | FT_Module_Class
typedef FT_Error(* | FT_Module_Constructor )(FT_Module module)
typedef void(* | FT_Module_Destructor )(FT_Module module)
typedef FT_Pointer | FT_Module_Interface
typedef FT_Module_Interface(* | FT_Module_Requester )(FT_Module module, const char *name)
typedef enum FT_TrueTypeEngineType_ | FT_TrueTypeEngineType

## Enumerations

enum | FT_TrueTypeEngineType_ { FT_TRUETYPE_ENGINE_TYPE_NONE = 0, FT_TRUETYPE_ENGINE_TYPE_UNPATENTED, FT_TRUETYPE_ENGINE_TYPE_PATENTED }

## Functions

| FT_Add_Default_Modules (FT_Library library)
| FT_Add_Module (FT_Library library, const FT_Module_Class *clazz)
| FT_Done_Library (FT_Library library)
| FT_Get_Module (FT_Library library, const char *module_name)
| FT_Get_TrueType_Engine_Type (FT_Library library)
| FT_New_Library (FT_Memory memory, FT_Library *alibrary)
| FT_Reference_Library (FT_Library library)
| FT_Remove_Module (FT_Library library, FT_Module module)
| FT_Set_Debug_Hook (FT_Library library, FT_UInt hook_index, FT_DebugHook_Func debug_hook)

## Macro Definition Documentation

#define FT_MODULE_DRIVER_HAS_HINTER 0x400 /* the driver provides its */

Definition at line 64 of file ftmodapi.h.

#define ft_module_driver_has_hinter FT_MODULE_DRIVER_HAS_HINTER

Definition at line 76 of file ftmodapi.h.

#define FT_MODULE_DRIVER_NO_OUTLINES 0x200 /* the driver does not */

Definition at line 62 of file ftmodapi.h.

#define ft_module_driver_no_outlines FT_MODULE_DRIVER_NO_OUTLINES

Definition at line 75 of file ftmodapi.h.

#define FT_MODULE_DRIVER_SCALABLE 0x100 /* the driver supports */

Definition at line 60 of file ftmodapi.h.

#define ft_module_driver_scalable FT_MODULE_DRIVER_SCALABLE

Definition at line 74 of file ftmodapi.h.

#define FT_MODULE_FONT_DRIVER 1 /* this module is a font driver */

Definition at line 55 of file ftmodapi.h.

Referenced by FT_Done_Library().

#define ft_module_font_driver FT_MODULE_FONT_DRIVER

Definition at line 69 of file ftmodapi.h.

#define FT_MODULE_HINTER 4 /* this module is a glyph hinter */

Definition at line 57 of file ftmodapi.h.

#define ft_module_hinter FT_MODULE_HINTER

Definition at line 71 of file ftmodapi.h.

#define FT_MODULE_RENDERER 2 /* this module is a renderer */

Definition at line 56 of file ftmodapi.h.

#define ft_module_renderer FT_MODULE_RENDERER

Definition at line 70 of file ftmodapi.h.

#define FT_MODULE_STYLER 8 /* this module is a styler */

Definition at line 58 of file ftmodapi.h.

#define ft_module_styler FT_MODULE_STYLER

Definition at line 72 of file ftmodapi.h.

## Typedef Documentation

typedef void(* FT_DebugHook_Func)(void *arg)

Definition at line 339 of file ftmodapi.h.

typedef struct FT_Module_Class_ FT_Module_Class

typedef FT_Error(* FT_Module_Constructor)(FT_Module module)

Definition at line 94 of file ftmodapi.h.

typedef void(* FT_Module_Destructor)(FT_Module module)

Definition at line 109 of file ftmodapi.h.

typedef FT_Pointer FT_Module_Interface

Definition at line 79 of file ftmodapi.h.

typedef FT_Module_Interface(* FT_Module_Requester)(FT_Module module, const char *name)

Definition at line 126 of file ftmodapi.h.

typedef enum FT_TrueTypeEngineType_ FT_TrueTypeEngineType

## Enumeration Type Documentation

enum FT_TrueTypeEngineType_

Enumerator
FT_TRUETYPE_ENGINE_TYPE_NONE |
FT_TRUETYPE_ENGINE_TYPE_UNPATENTED |
FT_TRUETYPE_ENGINE_TYPE_PATENTED |

Definition at line 442 of file ftmodapi.h.

## Function Documentation

FT_Add_Default_Modules | ( | FT_Library | library | ) |

Definition at line 198 of file ftinit.c.

References error, FT_Add_Module(), FT_DEFAULT_MODULES_GET, and FT_TRACE0.

Referenced by FT_Init_FreeType().

FT_Add_Module | ( | FT_Library | library,
|  | const FT_Module_Class * | clazz
| ) |  |

Definition at line 4128 of file ftobjs.c.

References FT_ModuleRec_::clazz, FT_RendererRec_::clazz, FT_DriverRec_::clazz, error, FREETYPE_VER_FIXED, ft_add_renderer(), FT_ALLOC, FT_DRIVER, FT_DRIVER_USES_OUTLINES, FT_Err_Invalid_Argument, FT_Err_Ok, FT_FREE, FT_GLYPH_FORMAT_OUTLINE, FT_GlyphLoader_Done(), FT_GlyphLoader_New(), FT_MAX_MODULES, FT_MODULE_IS_DRIVER, FT_MODULE_IS_HINTER, FT_MODULE_IS_RENDERER, FT_Remove_Module(), FT_RENDERER, ft_strcmp, FT_Renderer_Class_::glyph_format, FT_DriverRec_::glyph_loader, if(), library, FT_ModuleRec_::library, FT_ModuleRec_::memory, FT_Module_Class_::module_name, FT_Module_Class_::module_version, FT_RendererRec_::raster, FT_Renderer_Class_::raster_class, and FT_Raster_Funcs_::raster_done.

Referenced by FT_Add_Default_Modules().

FT_Done_Library | ( | FT_Library | library | ) |

Definition at line 4501 of file ftobjs.c.

References FT_ModuleRec_::clazz, FT_ListNodeRec_::data, Destroy_Module(), FT_Done_Face(), FT_DRIVER, FT_Err_Ok, FT_FACE, FT_FREE, FT_MODULE_FONT_DRIVER, FT_Remove_Module(), ft_strcmp, FT_TRACE0, FT_TRACE7, FT_ListRec_::head, m, FT_Module_Class_::module_flags, FT_Module_Class_::module_name, and NULL.

Referenced by FT_Done_FreeType().

FT_Get_Module | ( | FT_Library | library,
|  | const char * | module_name
| ) |  |

Definition at line 4256 of file ftobjs.c.

References ft_strcmp.

Referenced by cff_get_interface(), cff_size_get_globals_funcs(), cff_slot_init(), cid_size_get_globals_funcs(), cid_slot_init(), FT_Get_Module_Interface(), FT_Get_TrueType_Engine_Type(), if(), T1_GlyphSlot_Init(), T1_Size_Get_Globals_Funcs(), T42_Driver_Init(), and tt_get_interface().

FT_Get_TrueType_Engine_Type | ( | FT_Library | library | ) |

Definition at line 4627 of file ftobjs.c.

References FT_Get_Module(), ft_module_get_service(), FT_SERVICE_ID_TRUETYPE_ENGINE, and FT_TRUETYPE_ENGINE_TYPE_NONE.

FT_New_Library | ( | FT_Memory | memory,
|  | FT_Library * | alibrary
| ) |  |

Definition at line 4412 of file ftobjs.c.

References error, FREETYPE_MAJOR, FREETYPE_MINOR, FREETYPE_PATCH, FT_ALLOC, ft_debug_init(), FT_Err_Invalid_Argument, FT_Err_Ok, FT_FREE, FT_NEW, FT_RENDER_POOL_SIZE, library, FT_LibraryRec_::memory, NULL, FT_LibraryRec_::raster_pool, FT_LibraryRec_::raster_pool_size, FT_LibraryRec_::refcount, FT_LibraryRec_::version_major, FT_LibraryRec_::version_minor, and FT_LibraryRec_::version_patch.

Referenced by FT_Init_FreeType().

FT_Reference_Library | ( | FT_Library | library | ) |

Definition at line 4401 of file ftobjs.c.

References FT_Err_Ok.

FT_Remove_Module | ( | FT_Library | library,
|  | FT_Module | module
| ) |  |

Definition at line 4346 of file ftobjs.c.

References Destroy_Module(), and FT_Err_Ok.

Referenced by FT_Add_Module(), and FT_Done_Library().

FT_Set_Debug_Hook | ( | FT_Library | library,
|  | FT_UInt | hook_index,
|  | FT_DebugHook_Func | debug_hook
| ) |  |

Definition at line 4613 of file ftobjs.c.

References sizeof().